org.apache.tomcat.util.modeler.modules

## Class MbeansDescriptorsSerSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource
  - - org.apache.tomcat.util.modeler.modules.MbeansDescriptorsSerSource

    public class MbeansDescriptorsSerSource
    extends ModelerSource

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

`location, source`

### Constructor Summary

Constructors
Constructor and Description
`MbeansDescriptorsSerSource()`

### Method Summary

Methods
`void` `execute()`
`List<ObjectName>` `loadDescriptors(Registry registry, String type, Object source)`
`void` `setLocation(String loc)` Deprecated. Unused. Will be removed in Tomcat 8.0.x
`void` `setRegistry(Registry reg)`
`void` `setSource(Object source)`
`void` `setType(String type)` Used if a single component is loaded

### Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

`getInputStream, loadDescriptors, store, updateField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MbeansDescriptorsSerSource

    public MbeansDescriptorsSerSource()

### Method Detail

#### setRegistry

    public void setRegistry(Registry reg)

#### setLocation

    @Deprecated
    public void setLocation(String loc)

Deprecated. Unused. Will be removed in Tomcat 8.0.x

#### setType

    public void setType(String type)

Used if a single component is loaded

Parameters:
  `type` -

#### setSource

    public void setSource(Object source)

#### loadDescriptors

    public List<ObjectName> loadDescriptors(Registry registry,
                                   String type,
                                   Object source)
                                     throws Exception

Specified by:
  `loadDescriptors` in class `ModelerSource`
Throws:
  `Exception`

#### execute

    public void execute()
                 throws Exception

Throws:
  `Exception`